Bug 22637 - gcc crashes with internal error compiling various things
Summary: gcc crashes with internal error compiling various things
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-21 01:14 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-27 11:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-12-21 01:14:01 UTC
Hi,

I'm using a RedHat 7 System fully up2date. I compiled QT2.2.3 myself on that system. When trying to compile kdebase2.0.1, kdebase2.0.1 quanta2.0beta4 the compiler crashes with an internal error and the message to submit a bug report. The weird thing is that this doesn't happen all the time. If you try several times it might work again. My first guess was that I have a problem with my memory chips but I tested them with a memory checker over night and it got no errors. I have no idea what else you might need for information so if there is something I can provide, feel free to contact me.

Greetings,

Richard

Comment 1 Jakub Jelinek 2000-12-22 10:31:56 UTC
Please make sure you run the errata gcc. But if the crashes are random
and repeated invocation of compiler makes them go away, then it is in 99%
hardware fault and in remaining 0.99% some kernel cache issue.
The compiler is deterministic, so on the same input it should either never
issue an error message, or always.


Note You need to log in before you can comment on or make changes to this bug.